Package: groovy.util

## [Java] Class PropertyUpdatedEvent

- groovy.util.ObservableMap.PropertyUpdatedEvent

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ObservableMap.PropertyUpdatedEvent (Object source, String propertyName, Object oldValue, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ObservableMap.PropertyEvent` | `getChangeType, getType, getTypeAsString`
    `class PropertyChangeEvent` | `toString, getPropertyName, getOldValue, getPropagationId, setPropagationId, getNewValue, getSource, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ObservableMap.PropertyUpdatedEvent(Object source, String propertyName, Object oldValue, Object newValue)